This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 811733 - abrt: Do not move kernel vmcore out of /var/crash/
abrt: Do not move kernel vmcore out of /var/crash/
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
17
All Linux
high Severity high
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ABRTF18 844679 847227
  Show dependency treegraph
 
Reported: 2012-04-11 16:24 EDT by Vivek Goyal
Modified: 2012-08-29 20:59 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 847227 (view as bug list)
Environment:
Last Closed: 2012-08-29 20:59:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vivek Goyal 2012-04-11 16:24:06 EDT
Description of problem:

Currently abrt-vmcore service is enabled by default and it moves vmcore out of /var/crash into /var/spool/abrt. This is wrong for multiple reasons and needs fixing.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jiri Moskovcak 2012-08-09 18:13:03 EDT
We could use hardlinks instead of copying it (which would also be a faster solution, but won't work cross different fs). Can you please give me some examples of what it breaks? (just for a sake of having a specific use case)
Comment 2 WANG Chao 2012-08-09 22:31:01 EDT
Lots of customers would like to search /var/crash for their vmcores, and obviously abrt-vmcore breaks the law that kdump setup, which makes confusion.
They also filed bugs on this issue, bug 844679.

And perhaps, use a softlink instead?
Comment 3 Denys Vlasenko 2012-08-13 06:52:24 EDT
Fixed in git:

commit 6e47395215c2c2a39d031281fa81649ee4d45491
Author: Denys Vlasenko <vda.linux@googlemail.com>
Date:   Mon Aug 13 12:47:15 2012 +0200

    abrt-harvest-vmcore: add CopyVMcore config option to copy vmcores
Comment 4 Fedora Update System 2012-08-22 15:29:27 EDT
abrt-2.0.12-1.fc17, libreport-2.0.13-1.fc17, btparser-0.18-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-11529/abrt-2.0.12-1.fc17,libreport-2.0.13-1.fc17,btparser-0.18-2.fc17
Comment 5 Fedora Update System 2012-08-23 19:30:15 EDT
Package abrt-2.0.12-1.fc17, libreport-2.0.13-1.fc17, btparser-0.18-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.12-1.fc17 libreport-2.0.13-1.fc17 btparser-0.18-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11529/abrt-2.0.12-1.fc17,libreport-2.0.13-1.fc17,btparser-0.18-2.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-08-29 20:59:05 EDT
abrt-2.0.12-1.fc17, libreport-2.0.13-2.fc17, btparser-0.18-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.